Skip to main content
POST
/
api
/
knowledge-bases
/
{knowledgeBaseId}
/
sources
Add knowledge base sources
curl --request POST \
  --url https://api.upon-ai.com/api/knowledge-bases/{knowledgeBaseId}/sources \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspaceId": 123,
  "sources": [
    {
      "text": "<string>",
      "title": "<string>",
      "url": "<string>",
      "filename": "<string>",
      "contentType": "<string>",
      "base64": "<string>"
    }
  ]
}
'
{
  "knowledgeBaseId": "<string>",
  "name": "<string>",
  "description": "<string>",
  "sources": [
    {
      "source_id": "<string>",
      "source_type": "<string>",
      "filename": "<string>"
    }
  ],
  "workspaceId": 123
}

Documentation Index

Fetch the complete documentation index at: https://documentation.uponai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Generate tokens from your profile settings at app.uponai.com.

Path Parameters

knowledgeBaseId
string
required

Knowledge base identifier.

Body

application/json
workspaceId
integer
required
sources
object[]
required

Response

200 - application/json

Knowledge base with updated source list.

knowledgeBaseId
string
required
name
string
required
status
enum<string>
required
Available options:
processing,
ready,
failed
description
string | null
sources
object[]
workspaceId
integer | null